Bug 1286015 - screen gets locked immediately after login
screen gets locked immediately after login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 04:00 EST by cornel panceac
Modified: 2016-12-20 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:20:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2015-11-27 04:00:21 EST
Description of problem:
This did not happen at first login (or maybe i started working too fast:)) But from second login on, everytime i login the screen attempts to lock itself. if i move the mouse it cancels the process.

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.18.1.2-1.fc23.i686


How reproducible:
always

Steps to Reproduce:
1.logout of gnome on wayland
2.log into gnome on wayland
3.

Actual results:
session gets locked immediately after login

Expected results:
session waits for some user action

Additional info:
Comment 1 Christian Stadelmann 2016-04-17 16:47:40 EDT
Sometimes this happens to me too on Fedora 23.
Comment 2 Ray Strode [halfline] 2016-04-20 15:01:06 EDT
does rm -f ~/.local/gnome-shell fix it ?

normally we lock the screen at start up if the shell crashed while it was previously locked.
Comment 3 Christian Stadelmann 2016-04-21 18:41:04 EDT
Didn't(In reply to Ray Strode [halfline] from comment #2)
> does rm -f ~/.local/gnome-shell fix it ?

You probably meant ~/.local/share/gnome-shell/ , right?

Anyway, I didn't run into it any more.

> normally we lock the screen at start up if the shell crashed while it was
> previously locked.

That might be the reason.
Comment 4 Christian Stadelmann 2016-09-28 15:40:15 EDT
Still happens sometimes on Fedora 25.
Comment 5 Fedora End Of Life 2016-11-24 08:46:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Christian Stadelmann 2016-11-24 12:37:26 EST
Please change version number to 25 since this issue still seems to happen.
Comment 7 Fedora End Of Life 2016-12-20 11:20:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.